<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_af9f5df6df6e4a" . "b6fd5318e899627" . "078" => base64_decode("ZG9jdW1lbnRfdHlwZQ" . "=="), "_374bf250a2cd00d5f5742fea7" . "c487197" => base64_decode("ZG9jdW1l" . "bnRfdGl0" . "bGU="));
use Claromentis\Core\Event\GenericEvent;


class DownloadDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetDocumentTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_374bf250a2cd00d5f5742fea7c4871" . "97"]);
    }
    public function GetDocumentType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_af9f5df6df6e" . "4ab6fd5318e89" . "9627078"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}